package com.yem.wm.bd.packplan.op;

import com.yem.wm.bd.packplan.validator.SubmotOpValidator;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;

/**
 * @author power
 * @ClassName
 * @description: 服务表单插件
 * @date 2023/9/19
 */
public class PackplanSumbmitOp extends AbstractOperationServicePlugIn {
    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        e.getFieldKeys().add("yem_packplan_e");
        e.getFieldKeys().add("yem_weight");
    }

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        e.addValidator(new SubmotOpValidator());
    }
}
